Welcome to iPadForums.net Guest - Click Here to Register

Exceeded number of package names?

This is a discussion on Exceeded number of package names? within the iPad Hacking forums, part of the Apple iPad Discussions category; So cydia has been working just fine since the new jailbreak came out but today out of nowhere I got this error in the attachment. ...

iPadForums.net is the original Apple iPad Forum! Registered Users do not see these ads. Please Register - It's Free!
+ Reply to Thread
Results 1 to 7 of 7
  1. #1
    iPF Novice
    Member #
    43822
    Liked
    1 times
    Join Date
    Apr 2011
    Posts
    43

    Exceeded number of package names?

    So cydia has been working just fine since the new jailbreak came out but today out of nowhere I got this error in the attachment. I didn't install anything since it last updated correctly. Now nothing in the installed or changes tab shows up. Same for sources. Any idea how I can fix this?
    Attached Thumbnails Attached Thumbnails Exceeded number of package names?-image.jpg  

  2. Ads


  3. #2
    Super Moderator
    Member #
    13576
    Liked
    1460 times
    Join Date
    Aug 2010
    Location
    Western NY state (USA)
    Posts
    11,075
    This error comes up because you have too many packages for Cydia to handle. The solution is to delete some of your sources to lower the amount of packages Cydia has to load when you go to it (or refresh).

    I would not recommend deleting the default sources - just take a hard look at the ones you've installed yourself. Once you've removed some of the packages/repos, this error should stop.

    Marilyn
    Space Gray 32GB WiFi-only iPad Air & Black 32GB iPhone 5 (both jailbroken on iOS 7.0.6 w/evasi0n7)
    * * * PLEASE READ * * * Forum Rules * * * Hacking Section Rules * * * PLEASE READ * * *

  4. #3
    iPF Novice
    Member #
    43822
    Liked
    1 times
    Join Date
    Apr 2011
    Posts
    43
    Ah is that all? I hear you don't need the ultra snow repo if you're not on an older device. Is this true?

  5. #4
    iPF Novice
    Member #
    278665
    Join Date
    Feb 2013
    Posts
    52
    Just an idea or thought: since the iOS 7 tweaks and such don't work with the older version and the amount of resources are capped .. Is there maybe a way to split up the packages to iOS 6 <<< and iOS 7+.
    Thanks for the tip.

  6. #5
    iPad Addict
    Member #
    167823
    Liked
    196 times
    Join Date
    Feb 2012
    Location
    New York
    Posts
    1,148
    Quote Originally Posted by kidneyshot View Post
    Just an idea or thought: since the iOS 7 tweaks and such don't work with the older version and the amount of resources are capped .. Is there maybe a way to split up the packages to iOS 6 <<< and iOS 7+.
    Thanks for the tip.
    That's done on the repository end unfortunately. Our client sided access/cache does not have the ability to filter as so, though Saurik probably should allow for filters based on iOS since there are still active devices on iOS 6, but that would require developers to take an extra step in applying tags


    Sent from my iPhone via Tapa
    iPhone 4S White 16 GB iOS 7.1 ||iPad Mini 16GB (WiFi) iOS 7.0.4 Evasi0n7||AppleTV2 iOS 5.2 Seas0nPass
    Please read and abide by the forum rules
    iPhone Forums Moderator

  7. #6
    Super Moderator
    Member #
    13576
    Liked
    1460 times
    Join Date
    Aug 2010
    Location
    Western NY state (USA)
    Posts
    11,075
    Quote Originally Posted by Zergslayer69 View Post
    Ah is that all? I hear you don't need the ultra snow repo if you're not on an older device. Is this true?
    That's true. So, yea, I'll change my advice to "I recommend you don't delete the default repos, except the ultra snow one ... if you're on a newer device."

    Sorry, I forgot about that one. I already had deleted from my devices because it always threw up an error. But - that's not what's causing yours as you'll still just need to remove some....

    Marilyn
    Space Gray 32GB WiFi-only iPad Air & Black 32GB iPhone 5 (both jailbroken on iOS 7.0.6 w/evasi0n7)
    * * * PLEASE READ * * * Forum Rules * * * Hacking Section Rules * * * PLEASE READ * * *

  8. #7
    iPF Noob
    Member #
    308494
    Join Date
    Jan 2014
    Posts
    2
    Cydia allows 65,000 packages... The default are 41,000.. If new are added, you'll receive that error. Limit yourself?f to adding only one other large one like A Piracy Repo or A Piracy Repo, etc... Between the default and A Piracy Repo, there aren't many more you really need. Hope that helps

    Moderation notice: This post has been edited by the iPadForums staff in accordance with theForum Rules Removed Names Of Piracy Repos
    Last edited by scifan57; 01-31-2014 at 09:11 AM.
    Using Tapatalk


Home | Forum | Active Topics | What's New

Links

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Similar Threads

  1. Replies: 0
    Last Post: 07-13-2013, 09:37 PM
  2. Replies: 2
    Last Post: 04-09-2013, 03:40 AM
  3. payment card number invalid, as well as security number, need help
    By ravenkai in forum iPad General Discussions
    Replies: 3
    Last Post: 12-18-2012, 08:52 AM
  4. iPad has exceeded my expectations but still a few issues
    By ipad987 in forum iPad General Discussions
    Replies: 18
    Last Post: 07-22-2011, 09:00 AM
  5. 3g package
    By ercsliberty in forum iPad Carriers
    Replies: 2
    Last Post: 05-27-2011, 12:11 AM

Search tags for this page

cydia exceeded the number of package names

Click on a term to search for related topics.